#graph {
	/*width: 600px;
    height: 400px;*/
    height: 65vh;
    border: 1px solid lightgray;
    margin-left: 5%;
    margin-bottom: 5%;
}


.legend_pattern {
	background-color: #607D8B;
	color: #607D8B;
}

.legend_sub {
	background-color: #9494b8;
	color: #9494b8;
}

.legend_lastsub {
	background-color: #b3cccc;
	color: #b3cccc;
}

.legend_selected {
	background-color: #ff3232;
	color: #ff3232;
}

.select-pattern {
	text-align: center;
}

.sp-hierarchy {
  margin-bottom: 1%;
  margin-top: 3%;
}

.italic {
    text-align: center;
}

img {
    width: 50px;
}


/* --- MODAL --- */

.modal-static { 
    position: fixed;
    top: 50% !important; 
    left: 50% !important; 
    margin-top: -100px;  
    margin-left: -100px; 
    overflow: visible !important;
}

.modal-static,
.modal-static .modal-dialog,
.modal-static .modal-content {
    width: 200px; 
    height: 200px; 
}

.modal-static .modal-dialog,
.modal-static .modal-content {
    padding: 0 !important; 
    margin: 0 !important;
}

.modal-static .modal-content .icon {
}

/* --- /.MODAL --- */


/* --- CHECKBOX --- */

.material-switch > input[type="checkbox"] {
    display: none;   
}

.material-switch > label {
    cursor: pointer;
    height: 0px;
    position: relative; 
    width: 40px;  
}

.material-switch > label::before {
    background: rgb(0, 0, 0);
    box-shadow: inset 0px 0px 10px rgba(0, 0, 0, 0.5);
    border-radius: 8px;
    content: '';
    height: 16px;
    margin-top: -8px;
    position:absolute;
    opacity: 0.3;
    transition: all 0.4s ease-in-out;
    width: 40px;
}
.material-switch > label::after {
    background: rgb(255, 255, 255);
    border-radius: 16px;
    box-shadow: 0px 0px 5px rgba(0, 0, 0, 0.3);
    content: '';
    height: 24px;
    left: -4px;
    margin-top: -8px;
    position: absolute;
    top: -4px;
    transition: all 0.3s ease-in-out;
    width: 24px;
}
.material-switch > input[type="checkbox"]:checked + label::before {
    background: inherit;
    opacity: 0.5;
}
.material-switch > input[type="checkbox"]:checked + label::after {
    background: inherit;
    left: 20px;
}

/* --- /.CHECKBOX --- */


